Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`_resolver`.`GAIResolver``

class documentation

`class GAIResolver: (source)`

Constructor: `GAIResolver(reactor, getThreadPool, getaddrinfo)`

Implements interfaces: `twisted.internet.interfaces.IHostnameResolver`

View In Hierarchy

`IHostnameResolver` implementation that resolves hostnames by calling `getaddrinfo` in a thread.

Method | `__init__` | Create a `GAIResolver`.
Method | `resolveHostName` | See `IHostnameResolver.resolveHostName`
Instance Variable | `_getaddrinfo` | Undocumented
Instance Variable | `_getThreadPool` | Undocumented
Instance Variable | `_reactor` | Undocumented

def __init__(self, reactor: `IReactorThreads`, getThreadPool: `Optional[Callable[[], ThreadPool]]` = None, getaddrinfo: `Callable[[str, int, int, int], _GETADDRINFO_RESULT]` = getaddrinfo): (source)

Create a `GAIResolver`.

Parameters
reactor:`IReactorThreads` | the reactor to schedule result-delivery on
getThreadPool:0-argument callable returning a `twisted.python.threadpool.ThreadPool` | a function to retrieve the thread pool to use for scheduling name resolutions. If not supplied, the use the given `reactor`'s thread pool.
getaddrinfo:callable with the same signature as `getaddrinfo` | a reference to the `getaddrinfo` to use - mainly parameterized for testing.

def resolveHostName(self, resolutionReceiver: `IResolutionReceiver`, hostName: `str`, portNumber: `int` = 0, addressTypes: `Optional[Sequence[Type[IAddress]]]` = None, transportSemantics: `str` = 'TCP') -> `IHostResolution`: (source)
from `twisted.internet.interfaces.IHostnameResolver`

See `IHostnameResolver.resolveHostName`

Parameters
resolutionReceiver:`IResolutionReceiver` | see interface
hostName:`str` | see interface
portNumber:`int` | see interface
addressTypes:`Optional[Sequence[Type[IAddress]]]` | see interface
transportSemantics:`str` | see interface
Returns
`IHostResolution` | see interface

_getaddrinfo = (source)

Undocumented

_getThreadPool = (source)

Undocumented

_reactor = (source)

Undocumented